Skip to main content
POST
Renew an API token

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

token_id
string<uuid4>
required

Body

application/json
overlap_hours
integer
default:24
Required range: 0 <= x <= 168

Response

Successful Response

expires_at
string<date-time>
required
id
string<uuid4>
required
name
string
required
old_token_valid_until
string<date-time>
required
replaced_token_id
string<uuid4>
required
token
string
required
scopes
string[]
type
string
default:Bearer